--传送点触发 
--楼兰内城夜-楼兰外城 
--global.CallScript(7201)

function m011_1()

	--开始剧情 
	func_start(4630,3145,0,1)	
	--修改旗标 
	flag.SetValue(6001,112)

	local	i
	
	--切地图
	--楼兰城迷宫  
	map.Change(1,1061)
	player.SetPos(4650,3160)
	
	
	
	--建立npc  
	--夏侯澜辉
	npc.Create(1,1,4683,3328)
	--瑕	
	npc.Create(2,2,4704,3314)
	--姜承 
	npc.Create(3,3,4655,3357)
	--暮菖兰 
	npc.Create(4,4,4722,3345)
	--皇甫卓 
	npc.Create(6,6,4689,3370)
	--龙溟 
	npc.Create(7,7,4670,3250)
	--凌波 
	npc.Create(8,8,4701,3247)
	--蝙蝠 
	npc.Create(246,11,4707,3408)
	npc.Create(246,12,4674,3414)
	npc.Create(246,13,4732,3391)
	npc.Create(246,14,4733,3418)
	npc.Create(246,15,4700,3440)
	npc.SetVisible(11,0)
	npc.SetVisible(12,0)
	npc.SetVisible(13,0)
	npc.SetVisible(14,0)
	npc.SetVisible(15,0)
	--蝎子
	npc.Create(245,16,4319,3032)
	npc.Create(245,17,4285,3015)
	npc.SetVisible(16,0)
	npc.SetVisible(17,0)
	
	
	
	
	
	
	
	
	
	
	
	
	--镜头1 
	-- 全镜
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4731,127,3476,4701,83,3391)			
	camera.ResetLerp(4000)		
	camera.ChangeCameraStatic(4696,124,3364,4669,76,3281)		

	-- 龙溟、凌波 走前面 
	-- 夏侯、瑕在中间  
	-- 姜承、暮菖兰、皇甫卓走最后 
	npc.MoveTo(1,4647,3227)
	npc.MoveTo(3,4623,3255)
	npc.MoveTo(8,4660,3170)
	npc.MoveTo(2,4670,3212)
	npc.MoveTo(4,4684,3245)
	npc.MoveTo(6,4657,3268)
	npc.MoveTo(7,4625,3180,1)



	


	
	
	

	--镜头2 
	--近景 平视 面向 龙溟 凌波  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4599,57,3119,4642,26,3204)			
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(4598,53,3120,4650,26,3201)
	--音效 
	--蝎子和蝙蝠的沙地、飞翔音效	
	global.PlaySoundLoop(578,100)
	global.Wait(0.6)	
	
	ui.Dialog(78086,630,0,7,0,0)	--！
	
	--音效停 
	global.StopLastSound()
	
	global.Wait(1)
	ui.Dialog(78087,523,2,1,0,0)	--疑问 --什么声音？
	
	--音效蝎子爬过来
	global.PlaySoundLoop(1649,30)	
	global.Wait(1)

	ui.Dialog(78088,196,0,2,0,0)	--皱眉 --听起来像是很多虫子在爬似的……真恶心。
	
	--音效停 
	global.StopLastSound()		
	
	ui.Dialog(78089,128,2,3,0,0)	--皱眉 --……听声音，数量应该不少，大家小心。
	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4680,35,3213,4695,36,3312)			
	global.Wait(0.5)
	
	--暮菖兰笑 
	npc.SetAnim(4,232,2)
	--音乐淡出 
	global.MusicFadeIn(1500,100,0)
	global.Wait(2)
	
	ui.Dialog(78090,711,0,4,0,0)	--笑 --难道是那个鬼魂派人来迎接我们了？呵呵，这位楼兰王还真是多礼啊。



	
	
	
	
	--镜头3  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4739,124,3380,4697,75,3304)			
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(4779,114,3286,4712,69,3227)	
	--播放音乐 08
	global.PlayMusic(8,100,3000)			
	-- 龙溟凌波备战 	
	global.Wait(1)
	npc.TurnTo(7,-1,-1,1)
	npc_weapon(7,7)
	npc_weapon(8,8)
	npc.SetAnim(7,101)
	npc.SetAnim(8,101)
	-- 姜承、暮菖兰、皇甫卓转向后面备战  		
	npc.TurnTo(3,1,1)
	npc.TurnTo(6,1,1)
	npc.TurnTo(4,1,1)
	global.Wait(1)
	npc_weapon(3,3)
	npc_weapon(4,4)
	npc_weapon(6,6)	
	npc.SetAnim(3,101)
	npc.SetAnim(4,101)
	npc.SetAnim(6,101)
	global.Wait(1)
	-- 夏侯转向身后 	
	npc.TurnTo(1,1,1)
	--两个蝎子出现，爬过来 
	npc.SetVisible(16,1)
	npc.SetVisible(17,1)
	--音效蝎子爬过来
	global.PlaySoundLoop(1649,30)
	npc.RunTo(16,4628,3086)
	npc.RunTo(17,4583,3106,1)
	--音效停
	global.StopLastSound()
	npc.TurnToNpc(17,7,1)
	npc.TurnToNpc(16,8,1)
	
	
	
	
	
	
	
	--镜头4  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4705,79,3323,4663,48,3238)		
	--夏侯转向蝎子 
	npc.TurnToNpc(1,17,1)
	global.Wait(0.5)
	
	ui.Dialog(78091,523,0,1,0,0) --啊！好多大蝎子！
	
	--镜头拉远 
	camera.ResetLerp(2000)		
	camera.ChangeCameraStatic(4767,133,3454,4725,90,3375)		
	--蝙蝠出现 
	npc.SetVisible(11,1)
	npc.SetVisible(12,1)
	npc.SetVisible(13,1)
	npc.SetVisible(14,1)
	npc.SetVisible(15,1)
	global.WaitForCameraLerp()
	--蝙蝠飞翔音效	
	global.PlaySoundLoop(578,100)	
	npc.RunTo(11,4680,3310)
	npc.RunTo(12,4645,3313)
	npc.RunTo(13,4710,3310)
	npc.RunTo(14,4655,3335)
	npc.RunTo(15,4693,3347)	
	global.Wait(1)
	--音效停  
	global.StopLastSound()
	--夏侯转向蝙蝠 
	npc.TurnToNpc(1,11,1)
	global.Wait(0.5)
	
	ui.Dialog(78092,523,0,1,0,0) --还有蝙蝠！！
	

	
	
	
	
	
	
	
	
	
	
	--镜头5 
	--特写 龙溟 凌波 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4625,40,3133,4663,26,3224)		
	global.Wait(0.5)
	
	ui.Dialog(78093,629,2,7,0,0) --这里的“蚊虫”倒是蛮大的嘛。
	ui.Dialog(78094,155,0,8,0,0) --是啊。

	
	
	
	
	
	
	
	
	-- 镜头6 
	-- 特写 皇甫卓 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(4689,42,3294,4608,33,3235)	
	--皇甫卓舞剑 
	--音效 	刀剑劈下来的声音
	global.PlaySound(1140,100)
	npc.SetAnim(6,105,1)
	npc.SetAnim(6,101)
	global.Wait(0.5)
	
	ui.Dialog(78095,556,0,6,0,0) --无论来多少妖魔，我都会将它斩于剑下！尽管来吧！
	
	
	
	--清理npc 恢复转头 
	-- effect.FadeOut(1,1)
	-- global.Wait(1.5)
	
	--清理npc 
	for	i=1,8,1
		do
		npc_weapon(i,0)
		end	

	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	-- for i=1,20,1
		-- do
		-- npc.Destroy(i)
		-- end	

	-- func_end(0,0,1)			
	player.Control(1)
	global.SetWideScreen(0)
	
	
	--调整最终镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(4689,42,3294,4608,33,3235)

	player.LockPlace(p_id(1),0)
	player.LockPlace(p_id(2),0)
	player.LockPlace(p_id(3),0)
	player.LockPlace(p_id(4),0)
	player.LockPlace(p_id(6),0)
	player.LockPlace(p_id(7),0)
	player.LockPlace(p_id(8),0)
	
	--开始战斗
	--蝎子x2 蝙蝠x5 	
	battle.Begin(2013,8,1)	

	
end